Summary: A GNU tool which simplifies the build process for users.
Name: make
Version: 3.80
Release: 4tr
License: GPL
Group: Programming/Utilities
Source: ftp://ftp.gnu.org/gnu/make/make-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root
BuildRequires: texinfo
Prereq: htmlinfo

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about
how the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -q

%build
%configure
CFLAGS="$RPM_OPT_FLAGS" ./configure i586-trustix-linux \
	--prefix=/usr \
	--mandir=/usr/share/man
make
cd doc
makeinfo --html --no-split --force make.texi || :

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/html/make
make prefix=$RPM_BUILD_ROOT/%{_prefix} \
	mandir="$RPM_BUILD_ROOT"/usr/share/man install
install -m644 doc/make.html  $RPM_BUILD_ROOT/usr/share/html/make/

pushd $RPM_BUILD_ROOT/%{_prefix}; { 
  rm -rf ./share/info
  strip ./bin/make
  ln -sf make ./bin/gmake
} ; popd


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh

%files
%defattr(-,root,root)
%doc NEWS README COPYING ABOUT-NLS AUTHORS ChangeLog
%{_prefix}/bin/*
%{_prefix}/share/man/man1/make.1*
%dir /usr/share/html/make
/usr/share/html/make/make.html

%changelog
* Tue Sep 16 2003 Chr. H. Toldnes <christht at trustix dot com> 3.80-4tr
- Rebuilt and retagged for release.

* Fri Sep  5 2003 Goetz Bock <bock at trustix dot org> 3.80-3bg
- readded html page generated from make.texi

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.80-2tr
- Big rebuild

* Tue May 21 2003 Roland Kruse <rolandk at trustix dot com> 3.80-1rk
- Update to 3.80. (Previous version bailed out trying to build valgrind.)
  note: make.texinfo missing, hence no make.html is built for now.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.79.1-7em
- Rebuilt against glibc 2.3.2.

* Fri Oct 25 2002 Christian H. Toldnes <christht at trustix dot com> 3.79.1-6ct
- Replaces ugly info2man-hack with cute htmlinfo setup

* Mon Aug 26 2002 Christian H. Toldnes <christht at trustix dot com> 3.79.1-5ct
- Converted info pages to make_info.1 man page.

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 3.79.1-4dm
- rebuild for Trustix Secure Linux 2.0

* Thu Sep 15 2000 Erlend Midttun <erlendbm at trustix dot com>
- update to 3.79.1

* Thu May 11 2000 Oystein Viggen <oysteivi at trustix dot com>
- update to 3.79

* Fri Jan 28 2000 Erlend Midttun <erlendbm at trustix dot com>
- Changed man and info paths

* Fri Jan 21 2000 Cristian Gafton <gafton@redhat.com>
- apply patch to fiox a /tmp race condition from Thomas Biege
- simplify %install

* Sat Nov 27 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.78.1.

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- added a serial tag so it upgrades right

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- added a patch for large file support in glob
 
* Tue Aug 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.77

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- udpated from 3.75 to 3.76
- various spec file cleanups
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
